Class SelectPart
Inherited Members
System.MarshalByRefObject.CreateObjRef(System.Type)
System.MarshalByRefObject.GetLifetimeService()
System.MarshalByRefObject.InitializeLifetimeService()
System.MarshalByRefObject.MemberwiseClone(System.Boolean)
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
Namespace: NXOpen
Assembly: NXOpen.dll
Syntax
public class SelectPart : TaggedObject, IMessageSink, IComponentBuilder
Constructors
SelectPart()
Declaration
protected SelectPart()
Properties
Value
Declaration
public Part Value { get; set; }
Property Value
Type | Description |
---|---|
Part |
Methods
GetValue(out CaeObjectType.CaeSubType, out Int32)
Declaration
[Obsolete("Deprecated in NX10.0.0. Use other versions of NXOpen.SelectObject.GetValue.")]
public Part GetValue(out CaeObjectType.CaeSubType caeSubType, out int caeSubId)
Parameters
Type | Name | Description |
---|---|---|
CaeObjectType.CaeSubType | caeSubType | |
System.Int32 | caeSubId |
Returns
Type | Description |
---|---|
Part |
GetValue(out InferSnapType.SnapType, out Part, out View, out Point3d, out Part, out View, out Point3d)
Declaration
public void GetValue(out InferSnapType.SnapType snapType, out Part selection1, out View view1, out Point3d point1, out Part selection2, out View view2, out Point3d point2)
Parameters
Type | Name | Description |
---|---|---|
InferSnapType.SnapType | snapType | |
Part | selection1 | |
View | view1 | |
Point3d | point1 | |
Part | selection2 | |
View | view2 | |
Point3d | point2 |
GetValue(out Part, out View, out Point3d)
Declaration
public void GetValue(out Part selection, out View view, out Point3d point)
Parameters
Type | Name | Description |
---|---|---|
Part | selection | |
View | view | |
Point3d | point |
SetValue(InferSnapType.SnapType, Part, View, Point3d, Part, View, Point3d)
Declaration
public void SetValue(InferSnapType.SnapType snapType, Part selection1, View view1, Point3d point1, Part selection2, View view2, Point3d point2)
Parameters
Type | Name | Description |
---|---|---|
InferSnapType.SnapType | snapType | |
Part | selection1 | |
View | view1 | |
Point3d | point1 | |
Part | selection2 | |
View | view2 | |
Point3d | point2 |
SetValue(Part, CaeObjectType.CaeSubType, Int32)
Declaration
[Obsolete("Deprecated in NX10.0.0. Use other versions of NXOpen.SelectObject.SetValue.")]
public void SetValue(Part selection, CaeObjectType.CaeSubType caeSubType, int caeSubId)
Parameters
Type | Name | Description |
---|---|---|
Part | selection | |
CaeObjectType.CaeSubType | caeSubType | |
System.Int32 | caeSubId |
SetValue(Part, View, Point3d)
Declaration
public void SetValue(Part selection, View view, Point3d point)
Parameters
Type | Name | Description |
---|---|---|
Part | selection | |
View | view | |
Point3d | point |
Validate()
Declaration
public bool Validate()
Returns
Type | Description |
---|---|
System.Boolean |
Implements
System.Runtime.Remoting.Messaging.IMessageSink